WordPress.org

Ready to get started?Download WordPress

Forums

Bigcommerce
[resolved] API Setting (11 posts)

  1. emichel22
    Member
    Posted 1 year ago #

    Hey could someone please help me figure this out problem. I keep on getting this error message. Your Bigcommerce API settings are not configured properly. I spoke to Bigcommerce and they said that it was set up fine.

  2. beAutomated
    Member
    Plugin Author

    Posted 1 year ago #

    Hi emichel22,

    Please call us at 408-876-4022 and we'll try to help you out. Moreover, please send a screen shot of your Store Settings page to info@beautomated.com. Oh, and who is your host?

    Thanks!

    Randy Sandberg

  3. beAutomated
    Member
    Plugin Author

    Posted 1 year ago #

    We have found and fixed a couple of connection issues in the version 1.5, which will be released very soon.

    The first problem related to the URL. We were expecting the URL to be put in as http(s)://www.mysite.com/ or http(s)://mystore.mybigcommerce.com/ (with or without the trailing slash) without the /api/v2/ at the end of the URL. Bigcommerce provides a URL on their API setting page, and that URL contains the /api/v2/ that will not work with version 1.4 of our Plugin. We have fixed this in version 1.5, so the URL can be entered in a variety of ways and still work.

    The second problem related to some web hosts not supporting cURL or SSL. We added detection that reports when one of these conditions are causing a connection problem. The Bigcommerce API requires SSL (secure) communications, so the web host must support these communications for the Plugin to work. These server packages are called php-curl and php-openssl, and modern web hosts usually include these already.

    Please let us know if you continue to experience any connection problems after applying these modifications or using version 1.5 or later of our Plugin. We're here to help!

  4. modulusman
    Member
    Posted 1 year ago #

    Having an issue with this same problem... No matter how I configure it says "ssl connect error... your api is not properly configured."

    At first it was an issue with the API... and the Bigcommerce support team was kind enough to fix that. However after fixing that, I still get the same error. And what's even worse is that the tech that I had been working with says that he cant find a reference to the API in the code of the plugin... and that all of my attempts to access the API dont even show up on their server side.

    Any idea? The sooner the better please... We have only a few days left on our bigcommerce trial, and are hoping to make this work before we have to move on.
    Thanks...
    -J.D.

  5. modulusman
    Member
    Posted 1 year ago #

    BTW... the wordpress site is hosted w/ godaddy and the subdomain is on BC. The ssl was bought and configured with godaddy and bigcommerce ultimate by reps from both companies as I had just gotten so frustrated that I just allowed them to take care of it...

  6. Zack Katz
    Member
    Plugin Author

    Posted 1 year ago #

    @modulusman - I just released an update that will fix this issue.

    Please check out version 1.5.1 and leave a review!

  7. modulusman
    Member
    Posted 1 year ago #

    Fantastic... I eagerly await it's arrival...

    I was beginning to think that you had given up on this plugin.

    I'll be sure to review it.

  8. modulusman
    Member
    Posted 1 year ago #

    Just updated... No dice...

    Same exact error... Any other ideas? I have confirmation from both hosts that all of the necessary components are in place, and I have tried both the temporary URL and the one provided in the 'users' menu... They all yield the same error:

    Your Bigcommerce API settings are not configured properly.

    SSL connect error.

    I would really like this to work...

  9. modulusman
    Member
    Posted 1 year ago #

    Sorry Zack... But you marked this as resolved, and it is far from it.

    I installed the plugin on a different site, and it worked fine. I even tried changing themes, and it still doesn't work on the site that I want it to.

    Any ideas?

  10. Zack Katz
    Member
    Plugin Author

    Posted 1 year ago #

    Could you provide me with a login? support@katz.co

  11. Zack Katz
    Member
    Plugin Author

    Posted 1 year ago #

    @modulusman - please create a new thread. This one's confusing at this point.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic